Skip to main content
GET
/
cards
/
{cardId}
/
access-token
Retrieve an access token for card data and digital wallet operations
curl --request GET \
  --url https://api.equalsmoney.com/v2/cards/{cardId}/access-token \
  --header 'Authorization: <api-key>'
{
  "token": "string"
}

Authorizations

Authorization
string
header
required

Path Parameters

cardId
string<uuid>
required

The ID of the card to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

personId
string<uuid>

The ID of the person to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a04"

sessionId
string

The MFA session id.

Example:

"c92e2960-b745-4b38-8e77-898b2f9ad9bb"

token
string

The security token e.g. MFA code.

Example:

"123456"

operationName
enum<string>

The operation for which a client token is requested.

Available options:
VIEW_CARD,
ADD_CARD_TO_WALLET
Example:

"VIEW_CARD"

Response

200 - application/json

OK

token
string
required